<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OXAddOnModule StructType
 * @subpackage Structs
 */
class OXAddOnModule extends AbstractStructBase
{
    /**
     * The model
     * Meta information extracted from the WSDL
     * - documentation: Model ID string.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\OXFkTypeProduct_Protocol
     */
    public $model;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for OXAddOnModule
     * @uses OXAddOnModule::setModel()
     * @uses OXAddOnModule::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\OXFkTypeProduct_Protocol $model
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\OXFkTypeProduct_Protocol $model = null, $uuid = null)
    {
        $this
            ->setModel($model)
            ->setUuid($uuid);
    }
    /**
     * Get model value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\OXFkTypeProduct_Protocol|null
     */
    public function getModel()
    {
        return $this->model;
    }
    /**
     * Set model value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\OXFkTypeProduct_Protocol $model
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\OXAddOnModule
     */
    public function setModel(\\Losc\CucmBundle\Model\Webservice\StructType\OXFkTypeProduct_Protocol $model = null)
    {
        $this->model = $model;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\OXAddOnModule
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
